/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/platform/wintel32/hwplatformwintel32.hpp

*/

#ifndef SGXDRV_WINTEL32_PLATFORM_HPP
#define SGXDRV_WINTEL32_PLATFORM_HPP

class CHardwarePlatformWinTel32 : public CHardwarePlatform {
public:
    virtual const char *getPlatformName()const;
    virtual const char *getPlatformID()const;
    virtual const char *getDocsURL()const;
    virtual const char *getDevelopmentURL()const;
    virtual tREAL32     getDiscAccessSpeed()const;
    virtual tREAL32     getDiscReadSpeed()const;
    virtual tEndian     getEndian()const;
    virtual tUINT32     getNumCPUs()const;
    virtual tUINT32     getCPUSpeed(tUINT32 type=0)const;
    virtual tUINT32     getNumMemoryBanks()const;
    virtual tUINT32     getMemorySize(tUINT32 type=0)const;
    virtual void		getVideoResolution(sgxRect2i &rc, const tScreenFormat fmt=eDefault)const;

    static CHardwarePlatform   *create();
};

#endif /* SGXDRV_WINTEL32_PLATFORM_HPP */
